## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           perl-TOML-Tiny
Version:        0.18
Release:        %autorelease
Summary:        A minimal, pure perl TOML parser and serializer

License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/dist/TOML-Tiny
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/TOML-Tiny-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  /usr/bin/chmod
BuildRequires:  make
BuildRequires:  perl(:VERSION) >= 5.18
BuildRequires:  perl(B)
BuildRequires:  perl(CPAN::Meta) >= 2.120900
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(DateTime)
BuildRequires:  perl(DateTime::Format::ISO8601)
BuildRequires:  perl(DateTime::Format::RFC3339)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Math::BigFloat)
BuildRequires:  perl(Math::BigInt) >= 1.999718
BuildRequires:  perl(TOML::Parser)
BuildRequires:  perl(Test2::V0)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Unicode::GCString)
BuildRequires:  perl(charnames)
BuildRequires:  perl(constant)
BuildRequires:  perl(feature)
BuildRequires:  perl(parent)
BuildRequires:  perl(strict)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter

%{?perl_default_filter}


%description
TOML::Tiny implements a pure-perl parser and generator for the TOML data
format. It conforms to TOML v1.0 (with a few caveats)

%prep
%autosetup -n TOML-Tiny-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%license LICENSE
%doc Changes
%doc README
%{_mandir}/man3/TOML::Tiny.3pm*
%{_mandir}/man3/TOML::Tiny::Grammar.3pm*
%{_mandir}/man3/TOML::Tiny::Parser.3pm*
%{_mandir}/man3/TOML::Tiny::Tokenizer.3pm*
%{_mandir}/man3/TOML::Tiny::Util.3pm*
%{_mandir}/man3/TOML::Tiny::Writer.3pm*
%dir %{perl_vendorlib}/TOML
%dir %{perl_vendorlib}/TOML/Tiny
%{perl_vendorlib}/TOML/Tiny.pm
%{perl_vendorlib}/TOML/Tiny/Grammar.pm
%{perl_vendorlib}/TOML/Tiny/Parser.pm
%{perl_vendorlib}/TOML/Tiny/Tokenizer.pm
%{perl_vendorlib}/TOML/Tiny/Util.pm
%{perl_vendorlib}/TOML/Tiny/Writer.pm


%changelog
## START: Generated by rpmautospec
* Mon Sep 23 2024 Peter Oliver <git@mavit.org.uk> - 0.18-9
- Add sources.

* Mon Sep 23 2024 Peter Oliver <git@mavit.org.uk> - 0.18-8
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
